// dropdownDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "monitors.h"
#include "MouseWatcher.h"
#include "Extenders.h"

// CdropdownDlg dialog
class CdropdownDlg : public CDialog
{
// Construction
public:
        CdropdownDlg(CWnd* pParent = NULL);     // standard constructor

// Dialog Data
        enum { IDD = IDD_DROPDOWN_DIALOG };

        protected:
        virtual void DoDataExchange(CDataExchange* pDX);        // DDX/DDV support


// Implementation
protected:
   HICON m_hIcon;
   void Show(const CRect & r, CStatic & ctl);
   void Show(const CPoint & pt, CStatic & ctl);
   void Unshow();
   void updateControls();
   void WhichMonitor(CRect & r);
   BOOL monitorproc(HMONITOR monitor, HDC, LPRECT rect);
   static BOOL CALLBACK monitorproc(HMONITOR monitor, HDC dc, LPRECT rect, LPARAM data);
   LRESULT OnDisplayChange(WPARAM, LPARAM);
   void ShowMonitors();
   void ShowMouse(CPoint pt);
   BOOL showing;

   CMonitors monitors;
   CFont font;

protected: // virtual methods
   virtual void OnOK();
   virtual void OnCancel();

   // Generated message map functions
   virtual BOOL OnInitDialog();
   afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
   afx_msg void OnPaint();
   afx_msg HCURSOR OnQueryDragIcon();
   afx_msg void OnMove(int x, int y);
   afx_msg void OnCbnDropdownCombo1();
   afx_msg void OnClose();
   afx_msg LRESULT OnUserMouseMove(WPARAM, LPARAM);
   afx_msg LRESULT OnHookMouseMove(WPARAM, LPARAM);
   afx_msg void OnDestroy();
   afx_msg void OnBnClickedLimits();
   afx_msg void OnTimer(UINT nIDEvent);
   DECLARE_MESSAGE_MAP()

protected: // controls
    CExtenders extenders[4];
    CStatic c_Window;
    CStatic c_Screen;
    CComboBox c_Combo;
    CStatic c_SM_VIRTUAL;
    CStatic c_MONITORINFO;
    CListBox c_Monitors;
    CStatic c_MouseClient;
    CStatic c_MouseScreen;
    CStatic c_MouseScreenToVirtual;
    CStatic c_MouseVirtualToScreen;
    CMouseWatcher c_MouseTest;
    CButton c_Limits;
    CStatic c_LimitTop;
    CStatic c_LimitRight;
    CStatic c_LimitLeft;
    CStatic c_LimitBottom;
    CButton c_Fast;
    CButton c_Slow;
    CStatic c_Dropped;
    CStatic c_List;
};
